<?php
use Phppot\Product;

$memberId = "1"; // MemberId hardcoded
require_once __DIR__ . "/Model/Product.php";
$productModel = new Product();
$result = $productModel->getMostViewedProduct($memberId);
?>
<!doctype html>
<html>
<head>
<meta charset="UTF-8" />
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet"
	href="node_modules/owl.carousel/dist/assets/owl.carousel.min.css" />
<link rel="stylesheet"
	href="node_modules/owl.carousel/docs/assets/css/docs.theme.min.css" />
<link rel="stylesheet" href="assets/css/style.css" />
<title>eCommerce Product Carousel</title>
</head>
<body>
	<div class="container">
		<h3 class="viewed_title">Recently Viewed Products</h3>
		<div class="owl-carousel owl-theme">
	<?php
if (! empty($result)) {
    foreach ($result as $k => $v) {
        ?>
        <div>
				<div class="text-center">
					<img class="cart-image"
						src="<?php echo $result[$k]["image_path"];?>">
				</div>
				<div class="text-center price-text">
					<strong>$<?php echo $result[$k]["product_price"];?></strong>
				</div>
				<div class="text-center"><?php echo $result[$k]["product_name"];?></div>
			</div>
<?php
    }
}
?>
	</div>
	</div>
	<script src="node_modules/jquery/dist/jquery.js"></script>
	<script src="node_modules/owl.carousel/dist/owl.carousel.min.js"></script>
	<script>
        $(document).ready(function(){
    	  $('.owl-carousel').owlCarousel({
    		  loop:true,
    		  nav:true,
    		  dots:false,
    		  responsive:
    		  {
    		  0:{items:1},
    		  575:{items:2},
    		  768:{items:3}
    		  }
    		});
		  $(".owl-prev").attr("title","Previous");
		  $(".owl-next").attr("title","Next");
    	});
        </script>
</body>
</html>