<?php
namespace Phppot;

class Product
{

    private $ds;

    function __construct()
    {
        require_once __DIR__ . './../lib/DataSource.php';
        $this->ds = new DataSource();
    }

    function getMostViewedProduct($memberId)
    {
        $query = "SELECT * FROM tbl_most_viewed_product JOIN tbl_product ON tbl_most_viewed_product.product_id = tbl_product.id WHERE tbl_most_viewed_product.member_id=?";
        $paramType = 'i';
        $paramArray = array(
            $memberId
        );
        $result = $this->ds->select($query, $paramType, $paramArray);
        return $result;
    }
}
